=== debian/changelog ===
ros-foxy-ur-robot-driver (2.0.2-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Tue, 06 Dec 2022 23:00:00 -0000

ros-foxy-ur-robot-driver (2.0.1-2focal) focal; urgency=high

  * added ur_bringup to test_depend of ur_robot_driver (#454 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/454>)
  * Contributors: Felix Exner

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 31 Jul 2022 22:00:00 -0000

ros-foxy-ur-robot-driver (2.0.0-2focal) focal; urgency=high

  * Updated package dependencies (#399 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/399>)
  * Foxy controller stopper (#324 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/324>)
  * Backport: Change driver constructor and change calibration check (#282 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/282>) (#302 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/302>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Converted io_test and switch_on_test to ROS2 (#124 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/124>)
  * Added loghandler to handle log messages from the Client Library with … (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/126>)
  * Removed dashboard client from hardware interface
  * [WIP] Updated feature list (#102 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/102>)
  * Moved Async check out of script running check (#112 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/112>)
  * Fix gpio controller (#103 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/103>)
  * Fixed speed slider service call (#100 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/100>)
  * Adding missing backslash and only setting workdir once (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/108>)
  * Added dockerfile for the driver (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/105>)
  * Using official Universal Robot Client Library (#101 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/101>)
  * Reintegrating missing ur_client_library dependency since the break the building process (#97 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/97>)
  * Fix readme hardware setup (#91 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/91>)
  * Fix move to home bug (#92 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/92>)
  * Using modern python
  * Some intermediate commit
  * Remove obsolete and unused files and packages. (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/80>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Quickfix against move home bug
  * Added missing initialization
  * Use GitHub Actions, use pre-commit formatting (#56 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/56>)
  * Put dashboard services into corresponding namespace
  * Start dashboard client from within the hardware interface
  * Added try catch blocks for service calls
  * Removed repeated declaration of timeout parameter which lead to connection crash
  * Removed static service name in which all auto generated services where mapped
  * Removed unused variable
  * Fixed clang-format issue
  * Removed all robot status stuff
  * Exchanged hardcoded value for RobotState msgs enum
  * Removed currently unused controller state variables
  * Added placeholder for industrial_robot_status_interface
  * Fixed clang issues
  * Added checks for internal robot state machine
  * Only load speed scaling interface
  * Changed state interface to combined speed scaling factor
  * Added missing formatting in hardware interface
  * Initial version of the speed_scaling_state_controller
    Controller is base on the current joint_state_controller of ros2 control
  * Fix clang tidy in multiple pkgs.
  * Clang tidy fix.
  * Update force torque state controller.
  * Prepare for testing.
  * Fix decision breaker for position control. Make decision effect instantaneous.
  * Use only position interface.
  * Update hardware interface for ROS2 (#8 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/8>)
  * Update the dashboard client for ROS2 (#5 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/5>)
  * Hardware interface framework (#3 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/3>)
  * Add XML schema to all ``package.xml`` files
    Better enable ``ament_xmllint`` to check validity.
  * Silence ``ament_lint_cmake`` errors
  * Update packaging for ROS2
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Clean out ur_robot_driver for initial ROS2 compilation
  * Compile ur_dashboard_msgs for ROS2
  * Delete all launch/config files with no UR5 relation
  * Initial work toward compiling ur_robot_driver
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Lovro, Mads Holm Peters, Marvin Große Besselmann, livanov93

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 19 Jun 2022 22:00:00 -0000

ros-foxy-ur-robot-driver (0.0.3-2focal) focal; urgency=high

  * Added a service to end ROS control from ROS side
  * Publish IO state on ROS topics
  * Added write channel through RTDE with speed slider and IO services

